Bug 624710 - [QLogic 5.6 FEAT] qla4xxx: Add PCIe AER support
Summary: [QLogic 5.6 FEAT] qla4xxx: Add PCIe AER support
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 5.6
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: 5.6
Assignee: Chad Dupuis (Cavium)
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Keywords: FutureFeature, OtherQA
Depends On: 623675
Blocks: 557597
TreeView+ depends on / blocked
 
Reported: 2010-08-17 14:36 UTC by Chad Dupuis (Cavium)
Modified: 2011-01-13 21:10 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 21:10:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add AER support. (24.03 KB, application/octet-stream)
2010-08-17 14:36 UTC, Chad Dupuis (Cavium)
no flags Details
Add AER support v2. (24.81 KB, application/octet-stream)
2010-08-26 15:06 UTC, Chad Dupuis (Cavium)
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0017 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.6 kernel security and bug fix update 2011-01-13 10:37:42 UTC

Description Chad Dupuis (Cavium) 2010-08-17 14:36:45 UTC
Created attachment 439132 [details]
Add AER support.

The patch(s) contained in this bugzilla will enable PCI Advanced Error Reporting (AER) to qla4xxx for QLA82XX CNAs.

Comment 1 Chad Dupuis (Cavium) 2010-08-17 17:58:18 UTC
Wanted to note that this bz is dependent on the changes in bug 623675: [QLogic 5.6 feat] qla4xxx: Update driver to 5.02.03.00.05.06-d1.

Comment 2 Chad Dupuis (Cavium) 2010-08-26 15:06:34 UTC
Created attachment 441245 [details]
Add AER support v2.

Comment 4 Jarod Wilson 2010-09-17 14:03:01 UTC
in kernel-2.6.18-222.el5
You can download this test kernel from http://people.redhat.com/jwilson/el5

Detailed testing feedback is always welcomed.

Comment 6 Chris Ward 2010-11-09 13:29:39 UTC
~~ Attention Customers and Partners - RHEL 5.6 Public Beta is now available on RHN ~~

A fix for this 'OtherQA' BZ should be present and testable in the release. 

If this Bugzilla is verified as resolved, please update the Verified field above with an appropriate value and include a summary of the testing executed and the results obtained.

If you encounter any issues or have questions while testing, please describe them and set this bug into NEED_INFO. 

If you encounter new defects or have additional patches to request for inclusion, promptly escalate the new issues through your support representative.

Finally, future Beta kernels can be found here:
 http://people.redhat.com/jwilson/el5/

Note: Bugs with the 'OtherQA' keyword require Third-Party testing to confirm the request has been properly addressed. See: https://bugzilla.redhat.com/describekeywords.cgi#OtherQA ).

Comment 7 Chris Ward 2010-12-02 15:25:03 UTC
Reminder! There should be a fix present for this BZ in snapshot 3 -- unless otherwise noted in a previous comment.

Please test and update this BZ with test results as soon as possible.

Comment 9 errata-xmlrpc 2011-01-13 21:10:09 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0017.html


Note You need to log in before you can comment on or make changes to this bug.